Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes
tlp::NodeLinkDiagramComponent Class Reference

Main view of old Tulip. More...

`#include <NodeLinkDiagramComponent.h>`

Inheritance diagram for tlp::NodeLinkDiagramComponent:
[legend]
Collaboration diagram for tlp::NodeLinkDiagramComponent:
[legend]

List of all members.

## Public Slots

- void centerView ()
- void drawAfterRenderingParametersChange ()
- virtual void draw ()
- virtual void refresh ()
- virtual void init ()
    Centers and draws the view. Calls centerview() [where applicable], then draw(). This might be removed in a future version (3.6 or later) as all this does is calling centerview on the GlMainWidget if this is a GlMainView. Adding a centerView function in View would allow to remove this function.
- void setGraph (Graph *graph)
    Sets the Graph on this View.
- void setGraph (Graph *graph, bool initView)
- void elementSelectedSlot (unsigned int id, bool isNode)

## Public Member Functions

- NodeLinkDiagramComponent ()
- virtual ~NodeLinkDiagramComponent ()
- virtual QWidget * construct (QWidget *parent)
- virtual void setData (Graph *graph, DataSet dataSet)
    Set the View's Graph and DataSet.
- virtual void getData (Graph **graph, DataSet *dataSet)
    Gets the Graph and DataSet of the view.
- virtual std::list< std::pair
  < QWidget *, std::string > > getConfigurationWidget ()
    Returns the configuration widgets this view should use. These widgets will be displayed in the left dock of the MainController, in the View Editor tab. Each widget will be in a tab whose text is the string of the pair.
- virtual void specificEventFilter (QObject *object, QEvent *event)
- virtual void buildContextMenu (QObject *object, QContextMenuEvent *event, QMenu *contextMenu)
- virtual void computeContextMenuAction (QAction *action)
- void emitRequestChangeGraph (Graph *graph)
- void setInitViewOnSetGraph (bool)
- bool getInitViewOnSetGraph ()

## Protected Slots

- void gridOptions ()

## Protected Member Functions

- void checkAlgorithmResult ()

## Protected Attributes

- QMenu * viewMenu
- QMenu * optionsMenu
- QAction * actionTooltips
- QAction * actionsGridOptions
- QAction * actionZOrderingOptions
- QAction * actionAntialiasingOptions
- QAction * addRemoveAction
- QAction * selectAction
- QAction * deleteAction
- QAction * goAction
- QAction * ungroupAction
- QAction * propAction
- bool isNode
- bool qtMetaNode
- bool initViewOnSetGraph
- int itemId
- GridOptionsWidget * gridOptionsWidget
- RenderingParametersDialog * renderingParametersDialog
- LayerManagerWidget * layerManagerWidget
- std::map< std::string, DataSet > algorithmInfoDataSet
- GlMetaNodeRenderer * currentMetaNodeRenderer

## Detailed Description

Main view of old Tulip.

This class provide a graph view based to nodes and links Rendering is do with OpenGl

## Constructor & Destructor Documentation

tlp::NodeLinkDiagramComponent::NodeLinkDiagramComponent | ( |  | ) |

virtual tlp::NodeLinkDiagramComponent::~NodeLinkDiagramComponent | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void tlp::NodeLinkDiagramComponent::buildContextMenu | ( | QObject * | object,
|  | QContextMenuEvent * | event,
|  | QMenu * | contextMenu
| ) |  | `[virtual]`

Build context menu for this view

Reimplemented from tlp::GlMainView.

void tlp::NodeLinkDiagramComponent::centerView | ( |  | ) | `[slot]`

void tlp::NodeLinkDiagramComponent::checkAlgorithmResult | ( |  | ) | `[protected]`

virtual void tlp::NodeLinkDiagramComponent::computeContextMenuAction | ( | QAction * |  | ) | `[virtual]`

empty function : implement this function if you have implement buildContextMenu()

Reimplemented from tlp::AbstractView.

virtual QWidget* tlp::NodeLinkDiagramComponent::construct | ( | QWidget * | parent | ) | `[virtual]`

Construct this view

Warning:
  If your view inherit of GlMainView you must extend construct function and in this new function call GlMainView::construct(QWidget *)

Reimplemented from tlp::GlMainView.

virtual void tlp::NodeLinkDiagramComponent::draw | ( |  | ) | `[virtual, slot]`

Draw the OpenGl widget

Reimplemented from tlp::GlMainView.

void tlp::NodeLinkDiagramComponent::drawAfterRenderingParametersChange | ( |  | ) | `[slot]`

void tlp::NodeLinkDiagramComponent::elementSelectedSlot | ( | unsigned int | id,
|  | bool | isNode
| ) |  | `[inline, slot]`

void tlp::NodeLinkDiagramComponent::emitRequestChangeGraph | ( | Graph * | graph | ) | `[inline]`

virtual std::list<std::pair<QWidget *,std::string> > tlp::NodeLinkDiagramComponent::getConfigurationWidget | ( |  | ) | `[virtual]`

Returns the configuration widgets this view should use. These widgets will be displayed in the left dock of the MainController, in the View Editor tab. Each widget will be in a tab whose text is the string of the pair.

Returns:
  :list< std::pair<QWidget* , std::string > > Each element of this list is a pair of configuration widget and widget title.

Reimplemented from tlp::View.

virtual void tlp::NodeLinkDiagramComponent::getData | ( | Graph ** | graph,
|  | DataSet * | dataSet
| ) |  | `[virtual]`

Gets the Graph and DataSet of the view.

Parameters:

  graph | A pointer whose value will be modified to point to the Graph* of the view.
  dataSet | A pointer whose value will be modified to point to the DataSet of the view.

Returns:
  void

Implements tlp::View.

bool tlp::NodeLinkDiagramComponent::getInitViewOnSetGraph | ( |  | ) |

void tlp::NodeLinkDiagramComponent::gridOptions | ( |  | ) | `[protected, slot]`

virtual void tlp::NodeLinkDiagramComponent::init | ( |  | ) | `[virtual, slot]`

Centers and draws the view. Calls centerview() [where applicable], then draw(). This might be removed in a future version (3.6 or later) as all this does is calling centerview on the GlMainWidget if this is a GlMainView. Adding a centerView function in View would allow to remove this function.

Returns:
  void

Implements tlp::View.

virtual void tlp::NodeLinkDiagramComponent::refresh | ( |  | ) | `[virtual, slot]`

Refresh the OpenGl widget

Reimplemented from tlp::GlMainView.

virtual void tlp::NodeLinkDiagramComponent::setData | ( | Graph * | graph,
|  | DataSet | dataSet
| ) |  | `[virtual]`

Set the View's Graph and DataSet.

Parameters:

  graph | The view's new Graph.
  dataSet | The view's new DataSet.

Returns:
  void

Implements tlp::View.

void tlp::NodeLinkDiagramComponent::setGraph | ( | Graph * | graph,
|  | bool | initView
| ) |  | `[slot]`

void tlp::NodeLinkDiagramComponent::setGraph | ( | Graph * | graph | ) | `[virtual, slot]`

Sets the Graph on this View.

Parameters:

  graph | the new Graph to be displayed by this View.

Returns:
  void

Implements tlp::View.

void tlp::NodeLinkDiagramComponent::setInitViewOnSetGraph | ( | bool |  | ) |

virtual void tlp::NodeLinkDiagramComponent::specificEventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |  | `[virtual]`

empty function : implement this function if you want a specific event filter in your view

Reimplemented from tlp::AbstractView.

## Member Data Documentation

QAction* tlp::NodeLinkDiagramComponent::actionAntialiasingOptions`[protected]`

QAction* tlp::NodeLinkDiagramComponent::actionsGridOptions`[protected]`

QAction* tlp::NodeLinkDiagramComponent::actionTooltips`[protected]`

QAction* tlp::NodeLinkDiagramComponent::actionZOrderingOptions`[protected]`

QAction* tlp::NodeLinkDiagramComponent::addRemoveAction`[protected]`

std::map<std::string,DataSet> tlp::NodeLinkDiagramComponent::algorithmInfoDataSet`[protected]`

GlMetaNodeRenderer* tlp::NodeLinkDiagramComponent::currentMetaNodeRenderer`[protected]`

QAction* tlp::NodeLinkDiagramComponent::deleteAction`[protected]`

QAction* tlp::NodeLinkDiagramComponent::goAction`[protected]`

GridOptionsWidget* tlp::NodeLinkDiagramComponent::gridOptionsWidget`[protected]`

bool tlp::NodeLinkDiagramComponent::initViewOnSetGraph`[protected]`

bool tlp::NodeLinkDiagramComponent::isNode`[protected]`

int tlp::NodeLinkDiagramComponent::itemId`[protected]`

LayerManagerWidget* tlp::NodeLinkDiagramComponent::layerManagerWidget`[protected]`

QMenu* tlp::NodeLinkDiagramComponent::optionsMenu`[protected]`

QAction* tlp::NodeLinkDiagramComponent::propAction`[protected]`

bool tlp::NodeLinkDiagramComponent::qtMetaNode`[protected]`

RenderingParametersDialog* tlp::NodeLinkDiagramComponent::renderingParametersDialog`[protected]`

QAction* tlp::NodeLinkDiagramComponent::selectAction`[protected]`

QAction* tlp::NodeLinkDiagramComponent::ungroupAction`[protected]`

QMenu* tlp::NodeLinkDiagramComponent::viewMenu`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012